petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSMonitorSPSwarmSolution

Graphically displays phase plots of DMSwarm particles on a scatter plot

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorSPSwarmSolution(TS ts,PetscInt step,PetscReal ptime,Vec u,void *dctx)

### Input Parameters

| ts | - the TS context
| step | - current time-step
| ptime | - current time
| u | - current solution
| dctx | - the TSMonitorSPCtx object that contains all the options for the monitoring, this is created with TSMonitorSPCtxCreate()

### Options Database

-ts_monitor_sp_swarm -

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages